> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Create Resident: Propertyware REST

POST https://api.propexo.com/v1/residents/propertyware_rest/
Content-Type: application/json

Create Resident: Propertyware REST| Method            | Interface |
| ----------------- | --------- |
| POST /v1/contacts | Contacts  |This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Reference: https://docs.propexo.com/api-reference/propertyware-rest/residents/create-resident-propertyware-rest

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a _v1_residents_propertyware_rest__post_input.

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `first_name` (string, required) — The first name associated with the resident
- `last_name` (string, required) — The last name associated with the resident
- `address_1` (string, required) — The first address line associated with the resident
- `country` (V1ResidentsPropertywareRestPostInputCountry, required) — The country associated with the resident
- `city` (string, required) — The city associated with the resident
- `state` (string, required) — The state associated with the resident
- `zip` (string, required) — The zip code associated with the resident
- `middle_name` (string, optional) — The middle name associated with the resident
- `email_1` (string, optional) — The primary email address associated with the resident
- `email_2` (string, optional) — The secondary email address associated with the resident
- `date_of_birth` (string, optional) — The date of birth associated with the resident
- `address_2` (string, optional) — The second address line associated with the resident
- `phone_1` (string, optional) — Primary phone number associated with the resident
- `phone_2` (string, optional) — Secondary phone number associated with the resident
- `phone_1_type` (enum, optional) — Type of the primary phone number
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `OTHER`, `WORK`
- `phone_2_type` (enum, optional) — Type of the secondary phone number
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `OTHER`, `WORK`
- `notes` (string, optional) — Notes associated with the resident

## Response

### 200

Successful response

- `meta` (V1ResidentsPropertywareRestPostOutputMeta, required)
- `result` (V1ResidentsPropertywareRestPostOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1ResidentsPropertywareRestPostInputCountry

The country associated with the resident

### V1ResidentsPropertywareRestPostOutputMeta

- `job_id` (string, required)

### V1ResidentsPropertywareRestPostOutputResult

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `first_name` (string, required) — The first name associated with the resident
- `last_name` (string, required) — The last name associated with the resident
- `address_1` (string, required) — The first address line associated with the resident
- `country` (V1ResidentsPropertywareRestPostOutputResultCountry, required) — The country associated with the resident
- `city` (string, required) — The city associated with the resident
- `state` (string, required) — The state associated with the resident
- `zip` (string, required) — The zip code associated with the resident
- `middle_name` (string, required, nullable) — The middle name associated with the resident
- `email_1` (string, required, nullable) — The primary email address associated with the resident
- `email_2` (string, required, nullable) — The secondary email address associated with the resident
- `date_of_birth` (string, required, nullable) — The date of birth associated with the resident
- `address_2` (string, required, nullable) — The second address line associated with the resident
- `phone_1` (string, required, nullable) — Primary phone number associated with the resident
- `phone_2` (string, required, nullable) — Secondary phone number associated with the resident
- `phone_1_type` (enum, required) — Type of the primary phone number
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `OTHER`, `WORK`
- `phone_2_type` (enum, required) — Type of the secondary phone number
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `OTHER`, `WORK`
- `notes` (string, required, nullable) — Notes associated with the resident

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### V1ResidentsPropertywareRestPostOutputResultCountry

The country associated with the resident

## Examples

**Request**

```json
{
  "integration_id": "pw-987654321",
  "first_name": "Emily",
  "last_name": "Johnson",
  "address_1": "123 Maple Street",
  "country": "United States",
  "city": "Springfield",
  "state": "IL",
  "zip": "62704"
}
```

**Response**

```json
{
  "meta": {
    "job_id": "job-20240615-1234"
  },
  "result": {
    "integration_id": "pw-987654321",
    "first_name": "Emily",
    "last_name": "Johnson",
    "address_1": "123 Maple Street",
    "country": "United States",
    "city": "Springfield",
    "state": "IL",
    "zip": "62704",
    "middle_name": "Grace",
    "email_1": "emily.johnson@example.com",
    "email_2": "e.johnson@workmail.com",
    "date_of_birth": "1990-05-22T00:00:00Z",
    "address_2": "Apt 4B",
    "phone_1": "+1-217-555-1234",
    "phone_2": "+1-217-555-5678",
    "phone_1_type": "MOBILE",
    "phone_2_type": "WORK",
    "notes": "Resident prefers email communication."
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/residents/propertyware_rest/"

payload = {
    "integration_id": "pw-987654321",
    "first_name": "Emily",
    "last_name": "Johnson",
    "address_1": "123 Maple Street",
    "country": "United States",
    "city": "Springfield",
    "state": "IL",
    "zip": "62704"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/residents/propertyware_rest/';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"integration_id":"pw-987654321","first_name":"Emily","last_name":"Johnson","address_1":"123 Maple Street","country":"United States","city":"Springfield","state":"IL","zip":"62704"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/residents/propertyware_rest/"

	payload := strings.NewReader("{\n  \"integration_id\": \"pw-987654321\",\n  \"first_name\": \"Emily\",\n  \"last_name\": \"Johnson\",\n  \"address_1\": \"123 Maple Street\",\n  \"country\": \"United States\",\n  \"city\": \"Springfield\",\n  \"state\": \"IL\",\n  \"zip\": \"62704\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/residents/propertyware_rest/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"integration_id\": \"pw-987654321\",\n  \"first_name\": \"Emily\",\n  \"last_name\": \"Johnson\",\n  \"address_1\": \"123 Maple Street\",\n  \"country\": \"United States\",\n  \"city\": \"Springfield\",\n  \"state\": \"IL\",\n  \"zip\": \"62704\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.propexo.com/v1/residents/propertyware_rest/")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"integration_id\": \"pw-987654321\",\n  \"first_name\": \"Emily\",\n  \"last_name\": \"Johnson\",\n  \"address_1\": \"123 Maple Street\",\n  \"country\": \"United States\",\n  \"city\": \"Springfield\",\n  \"state\": \"IL\",\n  \"zip\": \"62704\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.propexo.com/v1/residents/propertyware_rest/', [
  'body' => '{
  "integration_id": "pw-987654321",
  "first_name": "Emily",
  "last_name": "Johnson",
  "address_1": "123 Maple Street",
  "country": "United States",
  "city": "Springfield",
  "state": "IL",
  "zip": "62704"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/residents/propertyware_rest/");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"integration_id\": \"pw-987654321\",\n  \"first_name\": \"Emily\",\n  \"last_name\": \"Johnson\",\n  \"address_1\": \"123 Maple Street\",\n  \"country\": \"United States\",\n  \"city\": \"Springfield\",\n  \"state\": \"IL\",\n  \"zip\": \"62704\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "integration_id": "pw-987654321",
  "first_name": "Emily",
  "last_name": "Johnson",
  "address_1": "123 Maple Street",
  "country": "United States",
  "city": "Springfield",
  "state": "IL",
  "zip": "62704"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/residents/propertyware_rest/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```